WESNOTHD(6)

NOME
wesnothd - Demone di rete per multigiocatore di Battle for Wesnoth

SYNOPSIS
wesnothd [-dvV] [-c path] [-p port] [-t number]

DESCRIZIONE
Manages Battle for Wesnoth multiplayer games. See http://www.wesnoth.org/wiki/ServerAdministration on what commands the server accepts via the wesnoth client or the socket.

OPZIONI

-c, --config path
    tells wesnothd where to find the config file to use. See the section SERVER CONFIG below for the syntax.

-d, --daemon
    carica wesnothd come demone.

-h, --help
    spiega che cosa fanno le opzioni da linea di comando

-p, --port port
    binds the server to the specified port. If no port is specified, port 15000 will be used.

-t, --threads number
    sets the maximum number of waiting worker threads for network I/O to n (default: 5, max: 30).

-T, --max-threads number
    sets the maximum number of worker threads that will be created if set to 0 there will be no limit (default: 0).

-V, --version

-V, --version
    visualizza il numero di versione ed esci

-v, --verbose
    turns on more verbose logging.

SERVER CONFIG

  La sintassi generale è:

[tag]

    key="value"

    key="value,value,..."

[/tag]

  Caratteri globali:

connections_allowed
    Il numero di connessioni permesse dallo stesso IP.

disallow_names
    Names/nicks that are not accepted by the server. `*' and `?' from wildcard patterns are supported. See glob(7) for more details. Default values (used if nothing is specified) are: `server,ai,player,network,human,admin,computer'.

max_messages
    Il numero di messaggi permessi in un periodo di messages_time_period.

messages_time_period
    The time period (in seconds) message flooding is detected in.

motd
    Il messaggio del giorno.

passwd
    La password da usare per dare i privilegi di amministratore. Di solito inizia con "admin ".

versions_accepted
    Un elenco separato da virgole delle stringhe di versione che il server deve accettare. I caratteri jolly `*' e `?' sono ammessi.
    Esempio: versions_accepted="*" accetta tutte le stringhe di versione.

  Tag globali:

[redirect] A tag to specify a server to redirect certain client versions to.

    host
        Indirizzo del server a cui reindirizzre i collegamenti

    port
        Porta su cui connettersi

    version
        A comma separated list of versions to redirect. Behaves the same way as versions_accepted in regard to wildcard patterns.

[proxy] A tag to tell the server to act as a proxy and forward the connected client's requests to the specified server. Accepts the same keys as [redirect].

AUTORE
Scritto David White <davidnwhite@verizon.net>. Modificato da Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> e Soliton <soliton@sonnenkinder.org>. Questo manuale è stato scritto in origine da Cyril Bouthors <cyril@bouthors.org>.
Visita la pagina home ufficiale: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2006 David White <davidnwhite@verizon.net>
Questo gioco è rilasciato come Software Libero; viene rilasciato secondo i termini della licenza GPL versione 2 come pubblicata dalla Free Software Foundation. Non è fornita nessuna garanzia, né per la COMMERCIALIZZAZIONE né per l'ADEGUATEZZA AD UNO SCOPO PARTICOLARE.

SEE ALSO
wesnoth(6), wesnoth_editor(6)